# wxHtmlLinkEvent Class Reference
[HTML]

`#include </home/work/projects/wx/2.9/wx/interface/wx/html/htmlwin.h>`

Inheritance diagram for wxHtmlLinkEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxHtmlWindow.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxHtmlLinkEvent& event)

Event macros:

- EVT_HTML_LINK_CLICKED(id, func):
  User clicked on an hyperlink.

##

Library: wxHTML
Category: HTML

## Public Member Functions

| wxHtmlLinkEvent (int id, const wxHtmlLinkInfo &linkinfo)
| The constructor is not normally used by the user code.
const wxHtmlLinkInfo & | GetLinkInfo () const
| Returns the wxHtmlLinkInfo which contains info about the cell clicked and the hyperlink it contains.

List of all members.

## Constructor & Destructor Documentation

wxHtmlLinkEvent::wxHtmlLinkEvent | ( | int | id,
|  | const wxHtmlLinkInfo & | linkinfo |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

const wxHtmlLinkInfo& wxHtmlLinkEvent::GetLinkInfo | ( |  | ) | const

Returns the wxHtmlLinkInfo which contains info about the cell clicked and the hyperlink it contains.

|  | [ top ]